1. Payment
Casharc
  • API
    • Merchant
      • Getting started
        • Introduction
        • Authentication
        • Quickstart
      • Сore сoncepts
        • Statuses
        • Reason Codes
      • Balance
        • Balance
      • Payment
        • Payment
          POST
        • Payment Detail
          GET
        • Payment Refund
          POST
        • Payment Cancel
          POST
        • Payments List
          GET
      • Payout
        • Payout
        • Payout Detail
        • Payout Cancel
      • Appeal
        • Appeal
        • Appeal Detail
        • Appeal Cancel
      • Webhook
        • On Status Change
  1. Payment

Payments List

GET
/merchant/v1/payments

Request

Header Params

Responses

🟢200
application/json
Bodyapplication/json

🟠401
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/merchant/v1/payments' \
--header 'X-Public-Key;' \
--header 'X-Secret-Key;'
Response Response Example
200 - Example 1
{
    "data": {
        "id": "string",
        "type": "string",
        "requested": {
            "amount": "string",
            "currency": "string"
        },
        "initialized": {
            "amount": "string",
            "currency": "string"
        },
        "processed": {
            "amount": "string",
            "currency": "string"
        },
        "refunded": {
            "amount": "string",
            "currency": "string"
        },
        "requisite": {
            "type": "string",
            "card_number": "string",
            "card_holder": "string",
            "bank": "string"
        },
        "status": "string",
        "expires_at": "string",
        "created_at": "string",
        "updated_at": "string",
        "metadata": {}
    },
    "pagination": {
        "total": 0,
        "limit": 0,
        "offset": 0
    }
}
Previous
Payment Cancel
Next
Payout
Built with